<?php

namespace Send\Classes\Database\Models;

use Send\Classes\Database\Models\Post;
use Illuminate\Database\Eloquent\Model;

class Page extends Model
{
	protected $table = 'posts';
	
	public function contactForms()
	{
		return $this->belongsToMany(
			Post::class, 'postmeta', 'post_id', 'meta_value'
		)
			->where('meta_key', '_wpcf7_container_post');
	}
}
