<?php

namespace Send\Classes\Database\Models;

use Send\Classes\Database\Database;
use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
	protected $table = 'posts';
	protected $primaryKey = 'ID';
	
	
	// prevent getting revisions of posts.
	static function getPagesOfPosts($ids) {
		$posts = self::whereIn('post_type', ['page','elementor_library'])
		->where('post_status','publish')->whereIn('id',$ids);
		return Database::execute($posts);
	}
}

