<?php

namespace connect\classes;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

/**
 * Class Config
 */
class Config
{
    const APP_NAME = 'send'.'_'.ENV;
    const APP_PREFIX = 'send'.'_'.ENV;
    const APP_REST_NAMESPACE = 'send'.'_'.ENV;
    const CONNECT_BASE_URL = ENV === 'prod' ? 'https://my.elementor.com/connect': 'https://my.stg.elementor.red/connect';
    const ADMIN_PAGE = 'send-app';
    const APP_TYPE = 'app_empma';
    const SCOPES = 'openid offline_access';
    const STATE_NONCE = 'send_auth_nonce';
    /**
     * Connect mode
     * accepts 'site' or 'user'
     */
    const CONNECT_MODE = 'site';
}
