<?php

namespace Send\Classes\Integrations\WooCommerce;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use connect\Module_Base;

/**
 * class Module
 **/
class Module extends Module_Base {

	/**
	 * @inheritDoc
	 */
	public function get_name(): string {
		return 'woocommerce';
	}

	/**
	 * component_list
	 * @return string[]
	 */
	public static function component_list(): array {
		return [
			'WooOrders',
			'WooProducts',
		];
	}

	public function __construct() {
		$this->register_components();
	}
}