<?php

use Send\Classes\Integrations\Forms\Cf7;
it('returns true if Contact Form 7 plugin is active', function () {
	// Mock the isPluginActive method to return true
	$cf7Mock = mock(Cf7::class);
	$cf7Mock->shouldReceive('isPluginActive')->andReturnTrue();
	
	// Assert that the isPluginActive() method returns true
	expect($cf7Mock->isPluginActive())->toBeTrue();
});
it('handles viewed form correctly', function () {
	// Define a payload
	$payload = ['formId' => '123-form'];
	
	// Call the handleViewedForm() method
	$result = Cf7::handleViewedForm($payload);
	
	// Assert the result
	expect($result)->toEqual('"123"');
});
it('handles abandoned form correctly', function () {
	// Define a payload
	$payload = ['formId' => '456-form'];
	
	// Call the handleAbandonedForm() method
	$result = Cf7::handleAbandonedForm($payload);
	
	// Assert the result
	expect($result)->toEqual('"456"');
});
